Answer ask
POST/api/public/v1/asks/{ground_id}/answer
curl --fail-with-body -X POST 'https://app.openlatch.ai/api/public/v1/asks/<ground_id>/answer' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" \ -H 'Content-Type: application/json' \ -d '{"verdict":"allow","scope":"exact_action"}'import jsonimport osimport urllib.request
body = '{"verdict":"allow","scope":"exact_action"}'request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/asks/<ground_id>/answer', method='POST', data=body.encode(), headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], 'Content-Type': 'application/json', },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X POST 'https://app.openlatch.ai/api/public/v1/asks/<ground_id>/answer' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" \ -H 'Content-Type: application/json' \ -d '{"verdict":"allow","scope":"exact_action"}' | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}$body = '{"verdict":"allow","scope":"exact_action"}'Invoke-RestMethod -Method POST -Uri 'https://app.openlatch.ai/api/public/v1/asks/<ground_id>/answer' -Headers $headers -ContentType 'application/json; charset=utf-8' -Body $body | ConvertTo-Json -Depth 20Authorization
Section titled “Authorization”| Role in the organization | This endpoint |
|---|---|
owner | Allowed |
admin | Allowed |
editor | Allowed |
viewer | Not allowed |
A key carries the role its owner holds in the organization. See Authentication.
API key scope: triage:write
Path parameters
Section titled “Path parameters”| Parameter | Type | Description |
|---|---|---|
ground_id | string (uuid) | Required. |
Header parameters
Section titled “Header parameters”| Parameter | Type | Description |
|---|---|---|
Idempotency-Key | string or null | Optional. Makes the request safe to retry: the same key and the same request, within 24 hours, returns the stored response with Idempotent-Replayed: true and runs once. |
Request body
Section titled “Request body”| Field | Type | Description |
|---|---|---|
recommendation_id | string (uuid) or null | Optional. The suggested answer you are answering from. |
scope | string — one of exact_action, resource_class, rule_agent, rule_zone | Required. |
verdict | string — one of allow, block | Required. |
Response
Section titled “Response”- 200 OK — the call succeeded.
- 400 Bad Request —
BAD_REQUEST - 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 404 Not Found —
NOT_FOUND - 409 Conflict —
ALREADY_ANSWERED,EVIDENCE_EXPIRED,IDEMPOTENCY_IN_PROGRESS,RETIRED - 422 Unprocessable Content —
IDEMPOTENCY_KEY_REUSED,INVALID_ID,SCOPE_UNAVAILABLE,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Response fields
Section titled “Response fields”| Field | Type | Description |
|---|---|---|
data | object | Required. An ASK ground after an answer or a snooze: its state, and what was chosen. |
data.answered_at | string (date-time) or null | |
data.atom_id | string or null | |
data.chosen_scope | string or null | |
data.first_seen_at | string (date-time) | Required. |
data.id | string | Required. |
data.last_seen_at | string (date-time) | Required. |
data.occurrences | integer | Required. |
data.policy_id | string or null | |
data.snoozed_until | string (date-time) or null | |
data.state | string | Required. |
data.zone_id | string or null |
Example response
Section titled “Example response”{ "data": { "answered_at": "2026-01-15T14:32:05Z", "atom_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "chosen_scope": "string", "first_seen_at": "2026-01-15T14:32:05Z", "id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "last_seen_at": "2026-01-15T14:32:05Z", "occurrences": 3, "policy_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "snoozed_until": "2026-01-15T14:32:05Z", "state": "string", "zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10" }}